# Uses of Interface
org.eclipse.pde.core.project.IBundleClasspathEntry

Packages that use IBundleClasspathEntry
Package
Description
org.eclipse.pde.core.project
Application programming interfaces to create new plug-in projects programmatically.

## Uses of IBundleClasspathEntry in org.eclipse.pde.core.project

Methods in org.eclipse.pde.core.project that return IBundleClasspathEntry
Modifier and Type
Method
Description
`IBundleClasspathEntry[]`
IBundleProjectDescription.`getBundleClasspath()`
Returns the entries on the Bundle-Classpath header of the described bundle, or `null` if unspecified.
`IBundleClasspathEntry`
IBundleProjectService.`newBundleClasspathEntry(IPath sourceFolder, IPath binaryFolder, IPath library)`
Creates and returns a new bundle classpath entry defining the relationship between a source, binaries, and library on the Bundle-Classpath header.
Methods in org.eclipse.pde.core.project with parameters of type IBundleClasspathEntry
Modifier and Type
Method
Description
`void`
IBundleProjectDescription.`setBundleClassath(IBundleClasspathEntry[] entries)`
Deprecated.
use `IBundleProjectDescription.setBundleClasspath(IBundleClasspathEntry[])`
`void`
IBundleProjectDescription.`setBundleClasspath(IBundleClasspathEntry[] entries)`
Sets the entries for the Bundle-Classpath header of the described bundle, or `null` if unspecified.